Ciele

List the Organization's Roles, built-ins first, with their Capabilities

GET/api/v1/roles

Requires an Organization API key with the member capability.

AuthorizationBearer <token>

In: header

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/roles"
{  "data": [    {      "builtIn": true,      "edited": true,      "locked": true,      "id": "string",      "organizationId": "string",      "key": null,      "name": "string",      "description": "string",      "capabilities": [        "string"      ],      "organizationLevel": true,      "assistantLevel": true,      "tier": "owner",      "memberCount": 0,      "apiKeyCount": 0,      "inviteCount": 0,      "assistantGrantCount": 0,      "memberDefault": true,      "assistantDefault": true,      "createdAt": "string",      "updatedAt": "string"    }  ]}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}